MINTPY-PLOT_TRANSECTION(1)

NAME
mintpy-plot_transection - Generate transect/profile along a line

DESCRIPTION
usage: plot_transection.py [-h] [--dset DSET] [-v VMIN VMAX]

[--offset OFFSET [OFFSET ...]] [--noverbose]
    [--start-yx Y0 X0] [--end-yx Y1 X1] [--start-lalo LAT0 LON0] [--end-lalo LAT1 LON1] [--line-file LOLA_FILE] [--interpolation {nearest,bilinear,cubic}] [--ms MARKER_SIZE] [--fontsize FONT_SIZE] [--fontcolor FONT_COLOR] [--nowhitespace] [--noaxis] [--notick] [-c COLORMAP] [--cm-lut NUM] [--cm-vlist CMAP_VLIST CMAP_VLIST CMAP_VLIST] [--nocbar] [--cbar-nbins NUM] [--cbar-ext {None,max,neither,both,min}] [--cbar-label CBAR_LABEL] [--cbar-loc CBAR_LOC] [--cbar-size CBAR_SIZE] [--notitle] [--title-in] [--figtitle FIG_TITLE] [--title4sen] [--figsize WID LEN] [--dpi DPI] [--figext {.emf,.eps,.pdf,.png,.ps,.raw,.rgba,.svg,.svgz}] [--fignum NUM] [--nrows NUM] [--ncols NUM] [--wspace FIG_WID_SPACE] [--hspace FIG_HEI_SPACE] [--no-tight-layout] [--coord {radar,geo}] [--animation] [-o [OUTFILE ...]] [--save] [--nodisplay] [--update] file [file ...]

Generate transect/profile along a line

  positional arguments:

file
    input file to show transection

  options:

-h, --help
    show this help message and exit

--dset DSET
    Dataset name to read

-v VMIN VMAX, --vlim VMIN VMAX
    Display limits for matrix plotting.

--offset OFFSET [OFFSET ...], --off OFFSET [OFFSET ...]
    offset between transects [for multiple files only; default: [0.05] m]. number of input offsets should be:

1 - same (sequential) offset between adjacent transects OR
    num_file - different (cumulative) offset for each file, starting from 0.

--noverbose
    Disable the verbose message printing.

  Profile location:

    Start/end points of profile

--start-yx Y0 X0, --yx0 Y0 X0
    start point of the profile in pixel number [y, x]

--end-yx Y1 X1, --yx1 Y1 X1
    end point of the profile in pixel number [y, x]

--start-lalo LAT0 LON0, --lalo0 LAT0 LON0
    start point of the profile in [lat, lon]

--end-lalo LAT1 LON1, --lalo1 LAT1 LON1
    end point of the profile in [lat, lon]

--line-file LOLA_FILE
    file with start and end point info in lon lat, same as GMT format. GMT xy file, i.e. transect_lonlat.xy: > 131.1663 33.1157 131.2621 33.0860

--interpolation {nearest,bilinear,cubic}
    interpolation method while extacting profile along the line. Default: nearest.

--ms MARKER_SIZE, --markersize MARKER_SIZE
    Point marker size. Default: 2.0

  Figure:

    Figure settings for display

--fontsize FONT_SIZE
    font size

--fontcolor FONT_COLOR
    font color (default: k).

--nowhitespace
    do not display white space

--noaxis
    do not display axis

--notick
    do not display tick in x/y axis

-c COLORMAP, --colormap COLORMAP
    colormap used for display, i.e. jet, cmy, RdBu, hsv, jet_r, temperature, viridis, etc. More at https://mintpy.readthedocs.io/en/latest/api/colormaps/

--cm-lut NUM, --cmap-lut NUM
    number of increment of colormap lookup table (default: 256).

--cm-vlist CMAP_VLIST CMAP_VLIST CMAP_VLIST, --cmap-vlist CMAP_VLIST CMAP_VLIST CMAP_VLIST
    list of 3 float numbers, for truncated colormap only (default: [0.0, 0.7, 1.0]).

--nocbar, --nocolorbar
    do not display colorbar

--cbar-nbins NUM
    number of bins for colorbar.

--cbar-ext {None,max,neither,both,min}
    Extend setting of colorbar; based on data stat by default.

--cbar-label CBAR_LABEL
    colorbar label

--cbar-loc CBAR_LOC
    colorbar location for single plot (default: right).

--cbar-size CBAR_SIZE
    colorbar size and pad (default: 2%).

--notitle
    do not display title

--title-in
    draw title in/out of axes

--figtitle FIG_TITLE
    Title shown in the figure.

--title4sen, --title4sentinel1
    display Sentinel-1 A/B and IPF info in title.

--figsize WID LEN
    figure size in inches - width and length

--dpi DPI
    DPI - dot per inch - for display/write (default: 300).

--figext {.emf,.eps,.pdf,.png,.ps,.raw,.rgba,.svg,.svgz}
    File extension for figure output file (default: .png).

--fignum NUM
    number of figure windows

--nrows NUM
    subplot number in row

--ncols NUM
    subplot number in column

--wspace FIG_WID_SPACE
    width space between subplots in inches

--hspace FIG_HEI_SPACE
    height space between subplots in inches

--no-tight-layout
    disable automatic tight layout for multiple subplots

--coord {radar,geo}
    Display in radar/geo coordination system (for geocoded file only; default: geo).

--animation
    enable animation mode

  Save/Output:

    Save figure and write to file(s)

-o [OUTFILE ...], --outfile [OUTFILE ...]
    save the figure with assigned filename. By default, it's calculated based on the input file name.

--save
    save the figure

--nodisplay
    save and do not display the figure

--update
    enable update mode for save figure: skip running if 1) output file already exists AND 2) output file is newer than input file.

  example:

    plot_transection.py velocity.h5 --start-yx 5290 5579 --end-yx 12177 482 plot_transection.py velocity.h5 --start-lalo 30.125 129.988 --end-lalo 30.250 130.116 plot_transection.py velocity.h5 --line-file transect_lonlat.xy --dem gsi10m.dem

    # Multiple files plot_transection.py AlosA*/velocity.h5 AlosD*/velocity.h5 --off 2 plot_transection.py Kirishima2017*.h5 Kirishima2008*.h5 --off 0 0 10 10 plot_transection.py Kirishima2017*.h5 Kirishima2008*.h5 --off 0 0 10 10 --lalo0 31.947 130.843 --lalo1 31.947 130.860